{#
 # This file is part of the DATAtourisme project.
 # @author Conjecto <contact@conjecto.com>
 # 2022
 # SPDX-License-Identifier: GPL-3.0-or-later
 # For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
 #}

{% extends '_layout.html.twig' %}
{% block title %}{{ 'label.applications' | trans }}{% endblock %}
{% set _breadcrumb = ['label.applications' ] %}
{% import "DatatourismeWebAppBundle::macros.html.twig" as macros %}

{% block content %}
    <!-- Content Header (Page header) -->
    <section class="content-header">
        {% if is_granted('application.create') %}
            <a href="{{ path('application.add') }}" data-toggle="modal-remote" class="btn btn-primary pull-right"><span class="fa fa-mobile"></span> {{ "title.application_create" | trans }}</a>
        {% endif %}
        <h1>{{ 'label.applications' | trans }}</h1>
    </section>
    <section class="content">
        <!-- /.row -->
        <div class="row">
            <div class="col-xs-12">
                <div class="box">
                    <div class="box-body no-padding">
                        <table class="table table-responsive table-hover m-b-0">
                            <thead>
                            <tr>
                                {{ knp_pagination_sortable(list, 'label.application' | trans, 'a.name') }}
                                {{ knp_pagination_sortable(list, 'label.description' | trans, 'a.description') }}
                                {{ knp_pagination_sortable(list, 'label.type' | trans, 't.name') }}
                                {{ knp_pagination_sortable(list, 'label.url' | trans, 'a.url') }}
                                <th class="text-right"><span class="fa fa-key"></span> {{ 'label.api_key' | trans }}</th>
                            </tr>
                            </thead>
                            <tbody>
                            {% for application in list.items %}
                                <tr>
                                    <td>
                                        {% if is_granted('application.edit') %}
                                            <a href="{{ path('application.edit', {id: application.id}) }}" data-toggle="modal-remote">
                                                {{ application.name }}
                                            </a>
                                        {% else %}
                                            {{ application.name }}
                                        {% endif %}
                                    </td>
                                    <td><span class="text-muted">{{ application.description | capitalize }}</span></td>
                                    <td>{{ application.type.name | trans({}, "entities") }}</td>
                                    <td><a href="{{ application.url }}" target="_blank">{{ application.url }}</a></td>
                                    <td class="text-right">
                                        {% if is_granted('application.see_api_key') %}
                                            <code title="{{ "help.api_key" | trans }}" data-tooltip>{{ application.apiKey }}</code>
                                        {% endif %}
                                    </td>
                                </tr>
                            {% endfor %}
                            </tbody>
                        </table>
                    </div>

                    {% if list.items | length == 0 %}
                        <div class="blankslate blankslate-spacious">
                            <h3>{{ "text.applications_no_result" | trans }}</h3>
                            {% if is_granted('application.create') %}
                                <p>{{ "help.applications_no_result" | trans({"%url%": path('application.add')}) | raw }}</p>
                            {% endif %}
                        </div>
                    {% endif %}

                    <!-- /.box-body -->
                    {% if list.totalItemCount > page_size %}
                    <div class="box-footer">
                        {{ macros.display_list_position(list, page_size) }}
                        {{ knp_pagination_render(list, null, [], {class: "pagination-sm no-margin pull-right"}) }}
                    </div>
                    {% endif %}
                </div>
                <!-- /.box -->
            </div>
        </div>
    </section>
{% endblock %}
